using UnityEngine;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {

                         //RED!
            Liquid.Register("orang", new orang());
                         //RED!
            Liquid.Register("Masutado", new Yellw());





            CategoryBuilder.Create("Melon Playground", "Adds Melon Playground stuff", ModAPI.LoadSprite("category.png"));
            //This method is the entry point. 
                        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "Melon", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = " -MPG",
                    DescriptionOverride = "Watermelon or melon?", //new item description
                    CategoryOverride = ModAPI.FindCategory("Melon Playground"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Human1-thumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("Human1-skin.png");
                        var flesh = ModAPI.LoadTexture("Human1-flesh.png");
                        var bone = ModAPI.LoadTexture("Human1-bone.png");

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();

                        //use the helper function to set each texture
                        //parameters are as follows: 
                        //  skin texture, flesh texture, bone texture, sprite scale
                        //you can pass "null" to fall back to the original texture
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
               new Modification()
               {
                   OriginalItem = ModAPI.FindSpawnable("Human"),
                   NameOverride = "Pumpkin.",
                   NameToOrderByOverride = " -MPG",
                   DescriptionOverride = "Pumpkin cool.",
                   CategoryOverride = ModAPI.FindCategory("Melon Playground"),
                   ThumbnailOverride = ModAPI.LoadSprite("Human2-thumb.png"),
                   AfterSpawn = (Instance) =>
                   {
                       var person = Instance.GetComponent<PersonBehaviour>();
                       var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                       person.SetBodyTextures(ModAPI.LoadTexture("Human2-skin.png"), ModAPI.LoadTexture("Human2-flesh.png"), ModAPI.LoadTexture("Human2-bone.png"), 1);

                       person.SetSecondBruiseColor(255, 135, 0);
                       person.SetThirdBruiseColor(255, 120, 0);
                       person.SetRottenColour(253, 127, 13);
                       person.SetBloodColour(255, 130, 0);
                       var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                       var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                       foreach (LimbBehaviour limb in person.Limbs)
                       {
                           foreach (var body in person.Limbs)
                           {




                           }


                           cal.Sprites = limb.BloodDecal.Sprites;
                           cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                           cal.Color = new Color32(255, 130, 0, 200);
                           limb.BloodDecal = cal; //Lazy
                           limb.BloodLiquidType = "Masutado";
                           limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                           limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("orang"), limb.CirculationBehaviour.Limits.y);
                           limb.PhysicalBehaviour.Properties = prop;
                       }
                       var Safe = new GameObject();
                       person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                       person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                       prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                       Safe.SetActive(false);
                       cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                       cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                       cal2.Color = new Color32(255, 120, 0, 200);
                       person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                       foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                       {
                           var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                           main.startColor = new ParticleSystem.MinMaxGradient(new Color32(255, 130, 0, 200));
                           if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                           {
                               thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                           }
                           var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                           renderer.material.color = new Color32(255, 130, 0, 200);
                       }

                       foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                       {
                           var moon = thi.main;
                           moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(255, 130, 0, 200));
                       }

                       foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                       {
                           con.Decal = cal2;
                       }

                       foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                       {
                           var moon = thi.main;
                           moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(255, 130, 0, 200));
                           if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                           {
                               prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                           }
                       }
                   }
               }
           );

             ModAPI.Register(
               new Modification()
               {
                   OriginalItem = ModAPI.FindSpawnable("Human"),
                   NameOverride = "Corn.",
                   NameToOrderByOverride = "-MPG",
                   DescriptionOverride = "Corn lol",
                   CategoryOverride = ModAPI.FindCategory("Melon Playground"),
                   ThumbnailOverride = ModAPI.LoadSprite("Human3-thumb.png"),
                   AfterSpawn = (Instance) =>
                   {
                       var person = Instance.GetComponent<PersonBehaviour>();
                       var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
                       person.SetBodyTextures(ModAPI.LoadTexture("Human3-skin.png"), ModAPI.LoadTexture("Human3-flesh.png"), ModAPI.LoadTexture("Human3-bone.png"), 1);

                       person.SetSecondBruiseColor(255, 215, 0);
                       person.SetThirdBruiseColor(255, 192, 0);
                       person.SetRottenColour(253, 218, 13);
                       person.SetBloodColour(255, 191, 0);
                       var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                       var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();

                       foreach (LimbBehaviour limb in person.Limbs)
                       {
                           foreach (var body in person.Limbs)
                           {




                           }


                           cal.Sprites = limb.BloodDecal.Sprites;
                           cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                           cal.Color = new Color32(255, 234, 0, 200);
                           limb.BloodDecal = cal; //Lazy
                           limb.BloodLiquidType = "Masutado";
                           limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                           limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Masutado"), limb.CirculationBehaviour.Limits.y);
                           limb.PhysicalBehaviour.Properties = prop;
                       }
                       var Safe = new GameObject();
                       person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                       person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                       prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                       Safe.SetActive(false);
                       cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                       cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                       cal2.Color = new Color32(255, 234, 0, 200);
                       person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                       foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                       {
                           var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                           main.startColor = new ParticleSystem.MinMaxGradient(new Color32(255, 234, 0, 200));
                           if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                           {
                               thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                           }
                           var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                           renderer.material.color = new Color32(255, 234, 0, 200);
                       }

                       foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                       {
                           var moon = thi.main;
                           moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(255, 234, 0, 200));
                       }

                       foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                       {
                           con.Decal = cal2;
                       }

                       foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                       {
                           var moon = thi.main;
                           moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(255, 234, 0, 200));
                           if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                           {
                               prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                           }
                       }
                   }
               }
           );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "T-Shirt white.", 
                    NameToOrderByOverride = "-MPG",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("Melon Playground"), 
                    ThumbnailOverride = ModAPI.LoadSprite("WhiteT-shirt-thumb.png"),
                    AfterSpawn = (Instance) => 
                    {
                        int PartCount = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.1f;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.armorPoints = 5;
                        prop.sprite = ModAPI.LoadSprite("Clothes/WhiteT-shirt1.png", 0.95f);

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].armorTier = 4;
                        armProp[0].armorPoints = 5;
                        armProp[0].sprite = ModAPI.LoadSprite("Clothes/WhiteT-shirt2.png", 0.95f);
                        
                        armProp[1].armorPiece = "LowerBody";
                        armProp[1].armorTier = 4;
                        armProp[1].armorPoints = 5;
                        armProp[1].sprite = ModAPI.LoadSprite("Clothes/WhiteT-shirt3.png", 0.95f);

                        armProp[2].armorPiece = "UpperArm";
                        armProp[2].armorTier = 4;
                        armProp[2].clone = true;
                        armProp[2].armorPoints = 5;
                        armProp[2].sprite = ModAPI.LoadSprite("Clothes/WhiteT-shirt4.png", 0.95f);

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

                        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Trousers.", 
                    NameToOrderByOverride = "-MPG",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("Melon Playground"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Trousers-thumb.png"),
                    AfterSpawn = (Instance) => 
                    {
                        int PartCount = 3;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.1f;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "LowerBody";
                        prop.armorTier = 4;
                        prop.armorPoints = 5;
                        prop.sprite = ModAPI.LoadSprite("Clothes/BlackTrousers1.png", 0.95f);

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].armorPiece = "UpperLeg";
                        armProp[0].armorTier = 4;
                        armProp[0].armorPoints = 5;
                        armProp[0].clone = true;
                        armProp[0].sprite = ModAPI.LoadSprite("Clothes/BlackTrousers2.png", 0.95f);
                        
                        armProp[1].armorPiece = "LowerLeg";
                        armProp[1].armorTier = 4;
                        armProp[1].armorPoints = 5;
                        armProp[1].clone = true;
                        armProp[1].sprite = ModAPI.LoadSprite("Clothes/BlackTrousers3.png", 0.95f);

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"), 
                    NameOverride = "Red Cap -MPG", 
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("Melon Playground"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Clothes/RedCap.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Clothes/RedCap.png", 0.95f); 
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.1f;
                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 4;
                        prop.armorPoints = 5;
                        prop.sprite = ModAPI.LoadSprite("Clothes/RedCap.png", 0.95f);

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            
                        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Boots-MPG", 
                    NameToOrderByOverride = "-MPG",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("Melon Playground"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Boots-thumb.png"),
                    AfterSpawn = (Instance) => 
                    {
                        int PartCount = 3;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.1f;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "LowerLeg";
                        prop.armorTier = 4;
                        prop.armorPoints = 5;
                        prop.sprite = ModAPI.LoadSprite("Clothes/Boots2.png", 0.95f);

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].armorPiece = "Foot";
                        armProp[0].armorTier = 4;
                        armProp[0].armorPoints = 5;
                        armProp[0].clone = true;
                        armProp[0].sprite = ModAPI.LoadSprite("Clothes/Boots1.png", 0.95f);
                        
                        armProp[1].armorPiece = "LowerLegFront";
                        armProp[1].armorTier = 4;
                        armProp[1].armorPoints = 5;
                        armProp[1].clone = false;
                        armProp[1].sprite = ModAPI.LoadSprite("Clothes/Boots2.png", 0.95f);

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
                        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Farmer Costume.", 
                    NameToOrderByOverride = "-MPG",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("Melon Playground"), 
                    ThumbnailOverride = ModAPI.LoadSprite("FarmerCostume-thumb.png"),
                    AfterSpawn = (Instance) => 
                    {
                        int PartCount = 6;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.1f;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 4;
                        prop.armorPoints = 5;
                        prop.sprite = ModAPI.LoadSprite("Clothes/FarmerCostume1.png", 0.95f);

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].armorTier = 4;
                        armProp[0].armorPoints = 5;
                        armProp[0].clone = false;
                        armProp[0].sprite = ModAPI.LoadSprite("Clothes/FarmerCostume2.png", 0.95f);
                        
                        armProp[1].armorPiece = "LowerBody";
                        armProp[1].armorTier = 4;
                        armProp[1].armorPoints = 5;
                        armProp[1].clone = false;
                        armProp[1].sprite = ModAPI.LoadSprite("Clothes/FarmerCostumePants1.png", 0.95f);

                        armProp[2].armorPiece = "UpperLeg";
                        armProp[2].armorTier = 4;
                        armProp[2].armorPoints = 5;
                        armProp[2].clone = true;
                        armProp[2].sprite = ModAPI.LoadSprite("Clothes/FarmerCostumePants2.png", 0.95f);
                        
                        armProp[3].armorPiece = "LowerLeg";
                        armProp[3].armorTier = 4;
                        armProp[3].armorPoints = 5;
                        armProp[3].clone = true;
                        armProp[3].sprite = ModAPI.LoadSprite("Clothes/FarmerCostumePants3.png", 0.95f);

                        armProp[4].armorPiece = "Foot";
                        armProp[4].armorTier = 4;
                        armProp[4].armorPoints = 5;
                        armProp[4].clone = true;
                        armProp[4].sprite = ModAPI.LoadSprite("Clothes/Boots1.png", 0.95f);

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"), 
                    NameOverride = "Farmer Hat -MPG", 
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("Melon Playground"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Clothes/FarmersHat.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Clothes/FarmersHat.png", 0.95f); 
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.1f;
                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 4;
                        prop.armorPoints = 5;
                        prop.sprite = ModAPI.LoadSprite("Clothes/FarmersHat.png", 0.95f);

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
        }
    }
}
           //ORANGE!
public class orang : Liquid
{
    public orang()
    {
        this.Color = new Color32(255, 130, 0, 200);
    }

    public override void OnEnterContainer(BloodContainer container)
    {
    }

    public override void OnEnterLimb(LimbBehaviour limb)
    {
        if (limb.SpeciesIdentity == "Android" && UnityEngine.Random.value > 0.995f)
        {
            limb.PhysicalBehaviour.Charge += 0.1f;
        }
    }

    public override void OnExitContainer(BloodContainer container)
    {
    }

    public const string ID = "orang";
}
           //Yellow!
public class Yellw : Liquid
{
    public Yellw()
    {
        this.Color = new Color32(255, 234, 0, 200);
    }

    public override void OnEnterContainer(BloodContainer container)
    {
    }

    public override void OnEnterLimb(LimbBehaviour limb)
    {
        if (limb.SpeciesIdentity == "Android" && UnityEngine.Random.value > 0.995f)
        {
            limb.PhysicalBehaviour.Charge += 0.1f;
        }
    }

    public override void OnExitContainer(BloodContainer container)
    {
    }

    public const string ID = "Masutado";
}